
From: Andrew Morton <akpm@osdl.org>

drivers/char/pcmcia/cm4040_cs.c: In function `cm4040_read':
drivers/char/pcmcia/cm4040_cs.c:268: warning: comparison of distinct pointer types lacks a cast

Cc: Dominik Brodowski <linux@dominikbrodowski.net>
Cc: Harald Welte <laforge@gnumonks.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/pcmcia/cm4040_cs.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/char/pcmcia/cm4040_cs.c~cm4040-min-fix drivers/char/pcmcia/cm4040_cs.c
--- devel/drivers/char/pcmcia/cm4040_cs.c~cm4040-min-fix	2005-09-16 00:52:19.000000000 -0700
+++ devel-akpm/drivers/char/pcmcia/cm4040_cs.c	2005-09-16 00:52:56.000000000 -0700
@@ -221,9 +221,9 @@ static ssize_t cm4040_read(struct file *
 {
 	struct reader_dev *dev = filp->private_data;
 	int iobase = dev->link.io.BasePort1;
-	unsigned long bytes_to_read;
+	size_t bytes_to_read;
 	unsigned long i;
-	unsigned long min_bytes_to_read;
+	size_t min_bytes_to_read;
 	int rc;
 	unsigned char uc;
 
_
